Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Path Parameters

job_id
string
required

Response

OK

job_id
string<uuid>
required

The id of the job that has been created.

job_url
string
required

The url that can be used to retrieve the job status

type
enum<string>
required

The type of automated job

Available options:
data_sync_all,
w4_form_employee_sync
status
enum<string>
required
Available options:
pending,
in_progress,
complete,
error,
reauth_error,
permissions_error
created_at
string<date-time>
required

The datetime when the job was created. for scheduled jobs, this will be the initial connection time. For ad-hoc jobs, this will be the time the creation request was received.

scheduled_at
string<date-time> | null
required

The datetime a job is scheduled to be run. For scheduled jobs, this datetime can be in the future if the job has not yet been enqueued. For ad-hoc jobs, this field will be null.

started_at
string<date-time> | null
required

The datetime a job entered into the job queue.

completed_at
string<date-time> | null
required

The datetime the job completed.

params
object | null
required

The input parameters for the job.